import { describe, it } from "vitest";

import { getBuild, matchSnapshot } from "./utils";

describe("emit", () => {
  const compileESBuild = getBuild("emit");

  it.only("supports emitting as CSS module", async () => {
    const { files } = await compileESBuild({
      clsx: "emotion",
      expectFiles: 2,
      cssModules: true,
      javascript: /* tsx */ `
        export function Hello() {
          return (
            <div css={["text-center", { hover: "font-semibold" }]}>
              Hello, world!
            </div>
          );
        }
      `,
    });

    matchSnapshot(files);
  });
});
