import { describe, expect, it } from "vitest";

import { getBuild } from "./utils";

describe("babel-tailwind", () => {
  const compileESBuild = getBuild("error");
  it("reports errors with correct position", async () => {
    try {
      await compileESBuild({
        clsx: "emotion",
        jsxAttributeAction: "preserve",
        esbuild: {
          logLevel: "silent",
        },
        javascript: /* tsx */ `
        export function Hello() {
          return (
            <div css="text-center2 m-0">
              Hello, world!
            </div>
          );
        }
      `,
      });
      throw new Error("Expected an error");
    } catch (e) {
      expect(e.errors).toHaveLength(1);
      const [error] = e.errors;
      expect(error.location).toMatchObject({
        column: 14,
        length: 12,
        line: 3,
        lineText: '    <div css="text-center2 m-0">',
      });
    }
  });
});
